### Calibrate Probe Offset

This calibration procedure allows you to determine the probe offset for your Vision probe. PC-DMIS Vision also allows you to calibrate multi-sensor configurations with different probe tip types. For example, a Vision probe and Contact probe are measured against the same tool(s) to establish a common offset frame of reference. The calibrated offset values for each tip are cross-referenced in relation to a common tool, such as a ring gage or sphere. See the "Relationship of Tips and Tools" topic for more information.

Calibrating tip types (be they all contact or a mix of contact, vision, and laser) against a common tool or standard allows measurements taken with one tip to be used with measurements taken by a different tip.

Probe Offset Calibration is used when:

- You have a touch probe and video probe on your measuring system.

- You have multiple video probes with different magnifications (e.g. a 1X and a 2X lens).

It does not matter which probe type you calibrate first, though on a CMM, you would usually calibrate the Touch Probe first. During calibration of the second probe, you must answer No to the question, 'Has the qualification tool been moved or has the Machine Zero point changed?'.

Once the tool position on stage is known and the probe tip offset has been calibrated once from the Probe Utilities dialog box, an AutoCalibrate Active Probe step can be added in the part program to calibrate the probe offset as part of a part program. As with a contact probe, the AutoCalibrate execution for a Vision probe is based on the specified parameter set.

See the "A Note on Probe Definitions" and "Considerations for Vision probes" topics for more information on Vision probes.

Note: Probe tip offset calibration has been expanded to support calibrating the contact probe and vision probe offset using a sphere or ring tool. The usage follows the general rules for tip offset and diameter calibration.

Before you begin Vision probe calibration, be sure to calibrate the optical center (if a zoom cell), field of view, and illumination for your Vision probe. In this example we will use a ring tool for measurement.

To calibrate the Vision probe offset:

1. Identify a Z measurement point of the face of the ring. The position of this point is defined in machine coordinates and is relative to the top center of the ring gage bore. This can be done using the "Probe Toolbox: Gage tab". These values are used when adding a ring tool.

2. Select Calibrate Probe Offset from the drop-down list on the Calibrate Vision Probe dialog box.

3. Select the needed tool from the List of Available Tools or click Add to define a new tool.

For Example: A 20mm ring tool might be specified with the following values:
• Tool ID: 20mm Ring
• Tool Type: RING
• Diameter: 20
• Z Point Offset X: 15
• Z Point Offset Y: 0
• Z Point Offset Z: 0
• Datum Depth Start: 1 (to accommodate the chamfer on the ring bore)
• Datum Depth End: 14
• Focus Offset: -0.5 (provides distance in Z from the top surface to the bore circle focus height)
See "Appendix B: Adding a Ring Tool".

4. Click Calibrate. This opens the Calibrate Probe Offset dialog box.

5. Set the following parameters as needed.

Operation Mode: Select either the Default Mode to use the default values of User Defined to alter the values.

Motion: Man+DCC mode requires that 3 manual points be taken at the start of the sequence whether or not you indicate that the tool position has changed. The remaining points will be taken automatically. DCC mode takes all points automatically unless you indicate that the tool has moved.

Start Angle: Angle in degrees in a Cartesian coordinate system as seen when looking down or –Z. A start angle of zero would be aligned to the +X. A start angle of 90 would be aligned to the +Y axis. Default value is 0

End Angle: Angle in degrees in a Cartesian coordinate system as seen when looking down or –Z. An end angle of zero would be aligned to the +X. An end angle of 90 would be aligned to the +Y axis. Default value is 359.

Note: The Start and End Angle specified here are different than the angle used for the contact probe and a sphere tool, which relates to the angle from the sphere equator to the pole.

Magnification: This option allows you to set the magnification to the 'Maximum' setting or use the <Current> magnification. To ensure the highest accuracy, you should use the 'Maximum' magnification to calibrate the vision probe offset. 'Maximum' is the default setting.

Coverage: Select the percentage from the drop-down list that will define what portion of the zone will be included for measurement. Default is 10%.

Note: The start angle, end angle, and Coverage percentage together will define the location and size of the vision measurement targets around the circle. For larger circle sizes and higher optical magnifications, significant speed improvement can be achieved by reducing the Coverage percentage. See the "Sample Vision Circle Targets for Calibrate Probe Offset Parameters" topic.

Z Samples: The number of Z samples that will be taken to compute the Z position. Default is 5.

Illumination XY: indicates which illumination source to use for the XY measurements. Normally bottom or sub-stage illumination is used for ring gage bore edge. This value can also be set to <Current> to use the current illumination settings.

Illumination Z: indicates which illumination source to use for the Z measurements. Normally top or ring for ring gage surface. This value can also be set to <Current> to use the current illumination settings.

Note: Using <Current> for either of the illumination settings includes whether bulbs are on or off for Ring lamps.

Tip: If you find illumination settings that work well for calibration, create an illumination Quick Set, so that these settings can be quickly recalled.

Parameter Sets: Allows you to create, save, and use saved sets for your Vision probe. This information is saved as part of the probe file and includes the settings for your Vision probe. This parameter set can be retrieved for later calibrations, including the auto-calibration part program feature.

To create your own named parameter sets:

- Modify any parameters on the Calibrate Probe Offset dialog box.

- From the Parameter Sets area, type a name for the new parameter set in the Name box and click Save. PC-DMIS displays a message telling you that your new parameter set has been created. You can easily delete a saved parameter set by selecting it and clicking Delete.

6. Click Calibrate.

7. Select Yes if PC-DMIS has not measured the actual tool location on the stage. Select No if the tool has already been measured with a different probe type.

8. Click OK on the reminder that the tip must be calibrated.

9. If the tool has moved or Man+DCC motion is selected, take the 3 manual cross hair points evenly around the top of the datum bore circle, adjusting the stage position, including focus, as needed. The remainder of the calibration sequence will execute automatically. It will focus on the bore top edge, measure the bore circle, move to the Z focus offset relative to the bore, and do the Z position focus measurements. The probe tip offset data will be updated with the measured offset based on the ring tool measurement. This measurement will determine the XYZ location of the tool on the stage if the tool was said to have moved.

More:

Sample Vision Circle Targets for Calibrate Probe Offset Parameters

Contact Probe Offset

CMM-V Probe Offset

Relationship of Tips and Tools